1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Strange problem with Linksys RV0041 after firmware upgrade to 1.3.6

Discussion in 'Cisco Small Business Routers and VPN Solutions' started by brettreyu, Sep 4, 2007.

  1. brettreyu

    brettreyu LI Guru Member

    I have a RV0041 router that is being used as our gateway. Everything was peachy when we were on 1.3.4 the out of the box firmware. After upgrading to the 1.3.6 firmware our 2 linux boxes cannot access certain websites(our company WebEx page, myspace, amazon, and very random pages) using Firefox. One is running Fedora 7 and the other Ubuntu, they both have the same problem. The weird thing is using links in a command line works without any problems on any site that won't load.

    I downloaded the Source Code for 1.3.4 but could not compile it, a lot of errors and I am knowledgeable enough to solve it.

    Any help is appreciated. Thanks!
  2. brettreyu

    brettreyu LI Guru Member

    When we turn off the Firewall, no problems exist on the machines in question. Once it's turned back on the problem like clockwork reappears. I'm really at a loss on this one.
  3. Toxic

    Toxic Administrator Staff Member

    what do you mean "links in a command line" works? what links?
  4. brettreyu

    brettreyu LI Guru Member

    the command "links" from a linux command line. It's a text based browser that will try and download images from webpages.
  5. jlbcrp

    jlbcrp LI Guru Member

    Can you post a screen a shot please.. After doing that try restoring the router to defualt, load firmware version 1 previous and than go back and reload the current version.

    What your seeing is most likely a corrupt VMlinux image..... Most likely at time of install something went wrong.

    Also what errors are you getting when trying to compile the previous version of the OS. Any thing unusual??
  6. brettreyu

    brettreyu LI Guru Member

    Tommorrow morning off hours I will be trying to do a reset with the reset switch, load the firmware, then do another reset with the switch to see if that fixes the issue. I can't load the firmware previous because I do not have a copy and it is not available in the router anymore because of the previous install.

    When I try to compile the code from the linksys site for both 1.3.5 and 1.3.4 i use the instructions given with 1.3.5. I get errors that I cannot decipher(not to amazing with linux but not bad either). I can provide those if needed. If someone knows how to compile that code into the .rmt file that the router needs that would be amazing.

    Everything functions correctly on the Web Interface of the router. Again it's the 2 linux boxes that are experiencing the error. It's so random it's really hard to diagnose why some pages won't load. With the firewall off it works just fine, if it's on this crap happens. I think it has to be a corrupt firmware.
  7. jlbcrp

    jlbcrp LI Guru Member

    If you can provide me with the errors codes I can take a look and see what is going on. I'm not overly worried about the .rmt issue at the moment. First I need to be able to get the code to compile. As of late some there coding seems to be a little sloppy when they hand over the GPL code for D/L... Not sure what is going on...
  8. brettreyu

    brettreyu LI Guru Member

    As root I unpacked the source code tar ball. Then in a terminal I run.

    root@brett-desktop:/home/brett/Desktop/GPL# make
    make -C pkg/ all
    make[1]: Entering directory `/home/brett/Desktop/GPL/pkg'
    make -C syslog/glibc/ all
    make[2]: Entering directory `/home/brett/Desktop/GPL/pkg/syslog/glibc'
    /home/brett/Desktop/GPL/pkg/build/rg_gcc -D_LIBC_REENTRANT -I/home/brett/Desktop/GPL/pkg/include -I/home/brett/Desktop/GPL/pkg -I/home/brett/Desktop/GPL/pkg/build/include -Wall -g -Os -mbig-endian -mapcs-32 -march=armv4 -mtune=strongarm -mshort-load-bytes -DCONFIG_RG_TARGET_LINUX -Wstrict-prototypes -c -o ulibc_syslog.o ulibc_syslog.c
    make[2]: /home/brett/Desktop/GPL/pkg/build/rg_gcc: Command not found
    make[2]: *** [ulibc_syslog.o] Error 127
    make[2]: Leaving directory `/home/brett/Desktop/GPL/pkg/syslog/glibc'
    make[1]: *** [syslog/glibc/all.subdir__] Error 2
    make[1]: Leaving directory `/home/brett/Desktop/GPL/pkg'
    make: *** [pkg/all.subdir__] Error 2

    That's as far as I can get. The 1.3.5 Firmware contained build instructions that were to run ./configure then make, make install, and that was it. I tried that with 1.3.5 and received the exact same error message. I'm on Ubuntu by the way.
  9. jlbcrp

    jlbcrp LI Guru Member

    Your problem is this:

    make[2]: /home/brett/Desktop/GPL/pkg/build/rg_gcc: Command not found,

    More specifically the "command not found". The error 127 proceeding that line is a fatal error... meaning your toasted....

    Do you have toolchain installed?
  10. brettreyu

    brettreyu LI Guru Member

    I installed toolchain using apt-get install toolchain and everything said it was fine.
  11. ddiepo

    ddiepo Guest

    tcp window size

    I have the same problem with my RV0041. Its a problem with the tcp window scaling, this website has the details.: http://lwn.net/Articles/92727/

    So far, I've just turned off the firewall. I don't really need any of the things the firewall provides. However, it'd be good if Linksys would fix this bug and release a new firmware version.
  12. markn455

    markn455 LI Guru Member

    Good luck, I am having the exact same problem on two new out of box units. Loaded the most recent firmware and has the same problem. I tried a WRV200 and it works fine. What's up with the RV041.

    Ball Ground, GA

Share This Page